JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}
{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}
{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Hellgate Cloud Platform","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/starfishgmbhcokg/fao_mR6VDpBCxc3o/logo/light.svg?fit=max\u0026auto=format\u0026n=fao_mR6VDpBCxc3o\u0026q=85\u0026s=1f2caba60febae2b0dcaddf3e196a132","dark":"https://mintcdn.com/starfishgmbhcokg/fao_mR6VDpBCxc3o/logo/dark.svg?fit=max\u0026auto=format\u0026n=fao_mR6VDpBCxc3o\u0026q=85\u0026s=a89c19b7c5f7607499a161a2db5b0f74","href":"https://developer.hellgate.io"},"favicon":"https://mintcdn.com/starfishgmbhcokg/dfhj2Hm84A9ik5S0/favicon.svg?fit=max\u0026auto=format\u0026n=dfhj2Hm84A9ik5S0\u0026q=85\u0026s=d897b485a1cd938d6af772ddd4885368","api":{"params":{"post":["x-data-classification"]}},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://hellgate.io","label":"Visit hellgate.io"}],"primary":{"type":"button","label":"Write our Support","href":"mailto:support@hellgate.io"}},"footer":{"socials":{"website":"https://hellgate.io","github":"https://github.com/starfish-codes","linkedin":"https://www.linkedin.com/company/hellgate-io","youtube":"https://www.youtube.com/@hellgate-io"}},"seo":{"metatags":{"google-site-verification":"OJ_nWFren-zsecLNqkmvOGrnXjmCZ_fPg5ov1mM8Tno"}},"contextual":{"options":["copy","view","download-spec","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"starfishgmbhcokg","hasAudioNarration":false,"actualSubdomain":"starfishgmbhcokg","customDomains":["developer.hellgate.io"],"gitSource":{"type":"github","owner":"starfish-codes","repo":"cpa-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae1f4810ab3938238c978a0","collectionId":"8ae20ce8-6ddd-493c-a430-ba8f229b79e6","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae1f4810ab3938238c978a0"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae1f4810ab3938238c978a0","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":243},{"language":"default","tag":"Commerce","count":181},{"language":"default","tag":"Documentation","count":81},{"language":"default","tag":"Guardian","count":77},{"language":"default","tag":"Tokens","count":67},{"language":"default","tag":"Specter","count":60},{"language":"default","tag":"Admin","count":50},{"language":"default","tag":"Payments","count":36},{"language":"default","tag":"Configuration","count":29},{"language":"default","tag":"Wallet Tokens","count":28}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":":root{--hg-classification-bg:#fef3c7;--hg-classification-fg:#92400e}.dark{--hg-classification-bg:rgb(245 158 11 / 0.15);--hg-classification-fg:#fcd34d}.classification-badge,.dark div[data-component-part=field-meta-post],div[data-component-part=field-meta-post]{background-color:var(--hg-classification-bg);color:var(--hg-classification-fg)}.classification-badge{display:inline-block;padding:.125rem .5rem;border-radius:.375rem;font-family:ui-monospace,SFMono-Regular,Menlo,Consolas,monospace;font-size:.875em;white-space:nowrap}"}],"page":{"pagePath":"products/guardian/api-reference/wallet/get-audit-events","slug":"/products/guardian/api-reference/wallet/get-audit-events","pageMetadata":{"title":"Get audit events","description":"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/certificates/{id}/audit-events","href":"/products/guardian/api-reference/wallet/get-audit-events","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get audit events","description":"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/certificates/{id}/audit-events","href":"/products/guardian/api-reference/wallet/get-audit-events","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get audit events","description":"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.","operationId":"wallet_apple_pay_certificate_audit_events","security":["d3402560-4ae7-4d8c-a39e-b046077b31c2","e3ad6798-92cf-4013-b6a6-095df22af3b8"],"tags":["wallet"],"parameters":["97d9dbc8-0757-48d6-b4a3-6a2bfec2a0fb"],"responses":{"200":"094dcfdf-abce-494b-abb8-e96a95f78223","401":"3f5f862e-6cf6-453a-9b59-aeaa18df77a6","403":"3d8b3b56-0543-48fd-be18-6bffecc504c5","404":"b6caeb6a-f649-4266-88fc-76300b61cc7e"},"method":"get","type":"path","servers":["b4447dd1-ee4f-4a23-9df6-b812c7157c25"],"path":"/api/wallet/apple-pay/certificates/{id}/audit-events","baseUrlOptions":["https://{instance}.{env}.on-hellgate.cloud"],"title":"Get audit events","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"97d9dbc8-0757-48d6-b4a3-6a2bfec2a0fb":{"in":"path","name":"id","description":"The ID of the certificate to read audit events for.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"The ID of the certificate to read audit events for.","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"responses":{"094dcfdf-abce-494b-abb8-e96a95f78223":{"description":"Success response","content":{"application/json":{"schema":{"title":"Apple Pay Certificate Audit Events","type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"example":"1a5c9e3b-7d2f-4b8a-c6e4-9f1b5d3a7c2e","type":"string","format":"uuid","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"operation":{"type":"string","example":"certificate.activate","isRequired":true,"uniqueKey":"\\items.items.[INDEX].operation","typeLabel":"string"},"actor":{"example":"dashboard:ops@example.com","type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].actor","typeLabel":"string"},"outcome":{"type":"string","enum":["success","failure"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].outcome","typeLabel":"enum\u003cstring>"},"created_at":{"example":"2026-02-03T10:00:00Z","type":"string","format":"date-time","isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"error_class":{"oneOf":[{"example":null,"type":"string","uniqueKey":"\\items.items.[INDEX].error_class.oneOf.0","typeLabel":"string"},{"example":null,"type":"null","uniqueKey":"\\items.items.[INDEX].error_class.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].error_class","typeLabel":"string | null"},"metadata":{"oneOf":[{"type":"object","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"\\items.items.[INDEX].metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].metadata","typeLabel":"object | null"}},"required":["id","operation","actor","outcome","created_at"],"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"}},"required":["items"],"uniqueKey":"","typeLabel":"Apple Pay Certificate Audit Events · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"1a5c9e3b-7d2f-4b8a-c6e4-9f1b5d3a7c2e","operation":"certificate.activate","actor":"dashboard:ops@example.com","outcome":"success","created_at":"2026-02-03T10:00:00Z","error_class":null,"metadata":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"3f5f862e-6cf6-453a-9b59-aeaa18df77a6":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The corresponding HTTP status code for the error","uniqueKey":"code","typeLabel":"integer"},"classifier":{"type":"string","description":"Technical code that helps to identify the error","uniqueKey":"classifier","typeLabel":"string"},"message":{"type":"string","description":"Human readable representation of the error","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"code":401,"message":"No valid means of authentication was provided","classifier":"UNAUTHORIZED"},"examples":{"Example":{"title":"Example","value":{"code":401,"message":"No valid means of authentication was provided","classifier":"UNAUTHORIZED"}}},"exampleType":"examples"}},"exampleType":"examples"},"3d8b3b56-0543-48fd-be18-6bffecc504c5":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The corresponding HTTP status code for the error","uniqueKey":"code","typeLabel":"integer"},"classifier":{"type":"string","description":"Technical code that helps to identify the error","uniqueKey":"classifier","typeLabel":"string"},"message":{"type":"string","description":"Human readable representation of the error","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"code":403,"message":"Not allowed to access this resource or feature","classifier":"FORBIDDEN"},"examples":{"Example":{"title":"Example","value":{"code":403,"message":"Not allowed to access this resource or feature","classifier":"FORBIDDEN"}}},"exampleType":"examples"}},"exampleType":"examples"},"b6caeb6a-f649-4266-88fc-76300b61cc7e":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The corresponding HTTP status code for the error","uniqueKey":"code","typeLabel":"integer"},"classifier":{"type":"string","description":"Technical code that helps to identify the error","uniqueKey":"classifier","typeLabel":"string"},"message":{"type":"string","description":"Human readable representation of the error","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"code":404,"message":"The requested resource was not found.","classifier":"NOT_FOUND"},"examples":{"Example":{"title":"Example","value":{"code":404,"message":"The requested resource was not found.","classifier":"NOT_FOUND"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"d3402560-4ae7-4d8c-a39e-b046077b31c2":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.","scopes":[],"schemeName":"bearerAuth"}},"e3ad6798-92cf-4013-b6a6-095df22af3b8":{"APIKey":{"type":"apiKey","name":"x-api-key","in":"header","description":"Deprecated. Long-lived instance API key, sent as `x-api-key`. Existing integrations continue to work, but new ones should use the OAuth2 bearer token instead.","scopes":[],"schemeName":"APIKey"}}},"servers":{"b4447dd1-ee4f-4a23-9df6-b812c7157c25":{"url":"https://{instance}.{env}.on-hellgate.cloud","description":"Managed instance of Guardian","variables":{"instance":{"default":"my-instance","description":"Your unique instance slug, provided during onboarding."},"env":{"default":"eu1","description":"Deployment environment (currently eu1)."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","name":"x-api-key","in":"header","description":"Deprecated. Long-lived instance API key, sent as `x-api-key`. Existing integrations continue to work, but new ones should use the OAuth2 bearer token instead.","scopes":[],"schemeName":"APIKey"},"schema":{"title":"x-api-key","type":"string","description":"Deprecated. Long-lived instance API key, sent as `x-api-key`. Existing integrations continue to work, but new ones should use the OAuth2 bearer token instead.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKey","name":"x-api-key"}],"title":"APIKey"}]},"originalFileLocation":"products/guardian/openapi.yaml"},"subdomain":"starfishgmbhcokg","siteName":"Hellgate Cloud Platform","title":"Get audit events - Hellgate Cloud Platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-22T09:11:26.628Z","originalFileLocation":"products/guardian/api-reference/wallet/get-audit-events.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hellgate Cloud Platform\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get audit events - Hellgate Cloud Platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hellgate Cloud Platform\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://starfishgmbhcokg.mintlify.app/_mintlify/api/og/v2?division=Apple+Pay+Certificates\u0026amp;title=Get+audit+events\u0026amp;description=List+the+audit+events+recorded+for+an+Apple+Pay+certificate%2C+such+as+activation%2C+retirement%2C+and+use.\u0026amp;theme=6ac995623c7ee3e28a6aa4a3\u0026amp;signature=1631f9666073833c112c44cae910d936db9c9efbfa069da7274f4d63fe0a04d1\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get audit events - Hellgate Cloud Platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://starfishgmbhcokg.mintlify.app/_mintlify/api/og/v2?division=Apple+Pay+Certificates\u0026amp;title=Get+audit+events\u0026amp;description=List+the+audit+events+recorded+for+an+Apple+Pay+certificate%2C+such+as+activation%2C+retirement%2C+and+use.\u0026amp;theme=6ac995623c7ee3e28a6aa4a3\u0026amp;signature=1631f9666073833c112c44cae910d936db9c9efbfa069da7274f4d63fe0a04d1\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/starfishgmbhcokg/ehX6KGXou7_zUBXs/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hellgate Cloud Platform\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"OJ_nWFren-zsecLNqkmvOGrnXjmCZ_fPg5ov1mM8Tno\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/products/guardian/api-reference/wallet/get-audit-events.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.hellgate.io/#organization\",\"name\":\"Hellgate Cloud Platform\",\"url\":\"https://developer.hellgate.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/starfishgmbhcokg/fao_mR6VDpBCxc3o/logo/light.svg?fit=max\u0026auto=format\u0026n=fao_mR6VDpBCxc3o\u0026q=85\u0026s=1f2caba60febae2b0dcaddf3e196a132\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.hellgate.io#website\",\"name\":\"Hellgate Cloud Platform\",\"url\":\"https://developer.hellgate.io\",\"publisher\":{\"@id\":\"https://developer.hellgate.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events#webpage\",\"url\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events\",\"name\":\"Get audit events\",\"description\":\"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\",\"dateModified\":\"2026-10-22T09:11:26.628Z\",\"isPartOf\":{\"@id\":\"https://developer.hellgate.io#website\"},\"breadcrumb\":{\"@id\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tokens\",\"item\":\"https://developer.hellgate.io/products/guardian/api-reference/pci/create-token\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Wallet Tokens\",\"item\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/tokenize-google-pay\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Apple Pay Certificates\",\"item\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/create-certificates\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Get audit events\",\"item\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events#apireference\",\"headline\":\"Get audit events\",\"name\":\"Get audit events\",\"description\":\"List the audit events recorded for an Apple Pay certificate, such as activation, retirement, and use.\",\"url\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events\",\"mainEntityOfPage\":{\"@id\":\"https://developer.hellgate.io/products/guardian/api-reference/wallet/get-audit-events#webpage\"},\"dateModified\":\"2026-10-22T09:11:26.628Z\",\"publisher\":{\"@id\":\"https://developer.hellgate.io/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.hellgate.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hellgate Cloud Platform\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hellgate Cloud Platform","nav":{"global":null,"products":[{"product":"Cloud Platform","icon":"cloud","pages":[{"title":"Cloud Platform","href":"/platform"}]},{"product":"Guardian","icon":"vault","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/products/guardian/overview"}]},{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"API Information","href":"/products/guardian/api-reference/getting-started"}]},{"group":"Tokens","pages":[{"group":"PCI Tokens","pages":[{"title":"Create token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/pci/tokens","href":"/products/guardian/api-reference/pci/create-token"},{"title":"Get tokens","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/pci/tokens","href":"/products/guardian/api-reference/pci/get-tokens"},{"title":"Get token details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/pci/tokens/{id}","href":"/products/guardian/api-reference/pci/get-token-details"},{"title":"Delete a token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/pci/tokens/{id}","href":"/products/guardian/api-reference/pci/delete-a-token"},{"title":"Check security code","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/pci/tokens/{id}/security-code","href":"/products/guardian/api-reference/pci/check-security-code"},{"title":"Refresh security code","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/pci/tokens/{id}/security-code","href":"/products/guardian/api-reference/pci/refresh-security-code"},{"title":"Delete security code","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/pci/tokens/{id}/security-code","href":"/products/guardian/api-reference/pci/delete-security-code"},{"title":"Forward card data","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/pci/tokens/{id}/forward","href":"/products/guardian/api-reference/pci/forward-card-data"}]},{"group":"Network Tokens","pages":[{"title":"Create token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/network/tokens","href":"/products/guardian/api-reference/network/create-token"},{"title":"Get tokens","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/network/tokens","href":"/products/guardian/api-reference/network/get-tokens"},{"title":"Get token details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/network/tokens/{id}","href":"/products/guardian/api-reference/network/get-token-details"},{"title":"Delete token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/network/tokens/{id}","href":"/products/guardian/api-reference/network/delete-token"},{"title":"Request cryptogram","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/network/tokens/{id}/cryptograms","href":"/products/guardian/api-reference/network/request-cryptogram"},{"title":"Forward cryptogram","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/network/tokens/{id}/forward","href":"/products/guardian/api-reference/network/forward-cryptogram"},{"title":"Get card art","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/network/tokens/{id}/card-art","href":"/products/guardian/api-reference/network/get-card-art"}]},{"group":"Wallet Tokens","pages":[{"title":"Tokenize Google Pay","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/google-pay/tokenize","href":"/products/guardian/api-reference/wallet/tokenize-google-pay"},{"title":"Tokenize Apple Pay","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/tokenize","href":"/products/guardian/api-reference/wallet/tokenize-apple-pay"},{"title":"Validate Apple Pay session","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/sessions","href":"/products/guardian/api-reference/wallet/validate-apple-pay-session"},{"title":"Get wallet tokens","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet","href":"/products/guardian/api-reference/wallet/get-wallet-tokens"},{"title":"Get wallet token details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/{id}","href":"/products/guardian/api-reference/wallet/get-wallet-token-details"},{"title":"Delete a wallet token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/wallet/{id}","href":"/products/guardian/api-reference/wallet/delete-a-wallet-token"},{"title":"Forward wallet token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/{id}/forward","href":"/products/guardian/api-reference/wallet/forward-wallet-token"},{"group":"Apple Pay Settings","pages":[{"title":"Update settings","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml put /api/wallet/apple-pay/settings","href":"/products/guardian/api-reference/wallet/update-settings"},{"title":"Get settings","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/settings","href":"/products/guardian/api-reference/wallet/get-settings"},{"title":"Replace trust anchor","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/trust-anchors","href":"/products/guardian/api-reference/wallet/replace-trust-anchor"},{"title":"Get trust anchor","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/trust-anchors","href":"/products/guardian/api-reference/wallet/get-trust-anchor"}]},{"group":"Apple Pay Certificates","pages":[{"title":"Create certificates","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/certificates","href":"/products/guardian/api-reference/wallet/create-certificates"},{"title":"Get certificates","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/certificates","href":"/products/guardian/api-reference/wallet/get-certificates"},{"title":"Upload a certificate","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/certificates/{id}/upload","href":"/products/guardian/api-reference/wallet/upload-a-certificate"},{"title":"Get certificate details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/certificates/{id}","href":"/products/guardian/api-reference/wallet/get-certificate-details"},{"title":"Disable a certificate","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/certificates/{id}/disable","href":"/products/guardian/api-reference/wallet/disable-a-certificate"},{"title":"Retire a certificate","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/certificates/{id}/retire","href":"/products/guardian/api-reference/wallet/retire-a-certificate"},{"title":"Delete a certificate","description":"Delete an Apple Pay certificate. Only a terminal (`retired` or `disabled`) certificate can be deleted; deleting an `active` or `pending` certificate returns `409` with the classifier `CERTIFICATE_NOT_TERMINAL`.","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/wallet/apple-pay/certificates/{id}","href":"/products/guardian/api-reference/wallet/delete-a-certificate"},{"title":"Get audit events","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/certificates/{id}/audit-events","href":"/products/guardian/api-reference/wallet/get-audit-events"}]},{"group":"Apple Pay Domains","pages":[{"title":"Register a domain","description":"Register a domain that will present the Apple Pay button.\n\nOn `self_managed` instances the domain is marked `verified` immediately: you attest domain ownership to Apple yourself by registering the domain in the Apple Developer portal, where Apple fetches the domain-association file you serve at `/.well-known/apple-developer-merchantid-domain-association.txt`.\n\nOn `sf_operated` instances Guardian instead schedules a background verification that registers the domain with Apple's Web Merchant Registration API using the platform integrator identity, and the domain starts as `pending`. If the verification attempt cannot be scheduled, the request returns `503` with the classifier `ENQUEUE_FAILED`; retry the request.\n","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/domains","href":"/products/guardian/api-reference/wallet/register-a-domain"},{"title":"Verify a domain","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/wallet/apple-pay/domains/{id}/verify","href":"/products/guardian/api-reference/wallet/verify-a-domain"},{"title":"Get domains","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/domains","href":"/products/guardian/api-reference/wallet/get-domains"},{"title":"Get domain details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/wallet/apple-pay/domains/{id}","href":"/products/guardian/api-reference/wallet/get-domain-details"},{"title":"Delete a domain","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/wallet/apple-pay/domains/{id}","href":"/products/guardian/api-reference/wallet/delete-a-domain"},{"title":"Get association file","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /.well-known/apple-developer-merchantid-domain-association.txt","href":"/products/guardian/api-reference/wallet/get-association-file"}]}]},{"group":"Generic Tokens","pages":[{"title":"Create token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/generic/tokens","href":"/products/guardian/api-reference/generic/create-token"},{"title":"Get tokens","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/generic/tokens","href":"/products/guardian/api-reference/generic/get-tokens"},{"title":"Get token details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/generic/tokens/{id}","href":"/products/guardian/api-reference/generic/get-token-details"},{"title":"Delete a token","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/generic/tokens/{id}","href":"/products/guardian/api-reference/generic/delete-a-token"},{"title":"Get token payload","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/generic/tokens/{id}/payload","href":"/products/guardian/api-reference/generic/get-token-payload"}]}]},{"group":"Metadata","pages":[{"group":"Metadata Inquiries","pages":[{"title":"Create inquiry","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/metadata/inquiries","href":"/products/guardian/api-reference/metadata/create-inquiry"}]}]},{"group":"Admin","pages":[{"group":"API Keys","pages":[{"title":"Create API key","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/admin/api-keys","href":"/products/guardian/api-reference/apikey/create-api-key"},{"title":"Get API keys","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/api-keys","href":"/products/guardian/api-reference/apikey/get-api-keys"},{"title":"Get API key details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/api-keys/{id}","href":"/products/guardian/api-reference/apikey/get-api-key-details"},{"title":"Update API key","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml patch /api/admin/api-keys/{id}","href":"/products/guardian/api-reference/apikey/update-api-key"},{"title":"Delete API key","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/admin/api-keys/{id}","href":"/products/guardian/api-reference/apikey/delete-api-key"}]},{"group":"Webhooks","pages":[{"title":"Event notification","version":null,"deprecated":null,"openapi":"/products/guardian/openapi.yaml webhook event_notification","href":"/products/guardian/api-reference/event-notification"},{"title":"Register webhook","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/admin/webhooks","href":"/products/guardian/api-reference/webhook/register-webhook"},{"title":"Get webhooks","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/webhooks","href":"/products/guardian/api-reference/webhook/get-webhooks"},{"title":"Get webhook details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/webhooks/{id}","href":"/products/guardian/api-reference/webhook/get-webhook-details"},{"title":"Delete webhook","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/admin/webhooks/{id}","href":"/products/guardian/api-reference/webhook/delete-webhook"}]},{"group":"Types","pages":[{"title":"Create type","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml post /api/admin/types","href":"/products/guardian/api-reference/types/create-type"},{"title":"Get types","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/types","href":"/products/guardian/api-reference/types/get-types"},{"title":"Get type details","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml get /api/admin/types/{id}","href":"/products/guardian/api-reference/types/get-type-details"},{"title":"Delete a type","deprecated":null,"version":null,"openapi":"/products/guardian/openapi.yaml delete /api/admin/types/{id}","href":"/products/guardian/api-reference/types/delete-a-type"}]}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/products/guardian/changelog"}]}]},{"product":"Specter","icon":"shield","pages":[{"title":"Specter","href":"/products/specter/overview"}]},{"product":"Commerce","icon":"cart-shopping","pages":[{"title":"Commerce","href":"/products/commerce/v2/overview"}]},{"product":"Link","icon":"link","pages":[{"title":"Link","href":"/products/link/overview"}]}]},"title":"Get audit events - Hellgate Cloud Platform","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-CT9uE8Ip.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}